<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title><%= title %></title>
  <link rel="stylesheet" href="bower_components/font-awesome/css/font-awesome.min.css">
  <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap.min.css">
  <link rel="stylesheet" href="stylesheets/global.css">
  <link rel="stylesheet" href="stylesheets/scalabot.css">
  <link rel="stylesheet" href="stylesheets/scenario.css">
  <link rel="stylesheet" href="stylesheets/recipes.css">
</head>

<body id="play">
  <header class="ibox-content">
    <span id="logo">
        <img src="images/logo-barentz.png" alt="Logo">
        <span class="site-name">scalabot</span>
    </span>
    <div class="dropdown pull-right">
      <span class="chat-element"><img src="images/avatar.jpg" class="img-circle m-r-xs"></span>
      <a data-toggle="dropdown"><%= user.username %> <span class="caret"></span></a>
      <ul class="dropdown-menu">
        <li><a href="/logout">logout</a></li>
      </ul>
    </div>
  </header>
  <div class="row select-menu">
    <div class="col-sm-4 select-menu-item">
      <label class="white m-r-xs">SELECTED DATA SET</label>
      <select id="csv-select" class="form-control" style="width: 200px">
          <% for (var i = 0; i < csv.length; i++){ %>
          <option value="<%= csv[i] %>"><%= csv[i] %></option>
          <% } %>
      </select>
    </div>
    <div class="col-sm-4 select-menu-item m-b text-center">
      <label class="white m-r-xs">SELECTED SCENARIO</label>
      <select id="scenario-select" class="form-control" style="width: 200px">
        <% scenarios.forEach(function(item){ %>
          <option value="<%=item%>"><%= item %></option>
        <%});%>
      </select>
    </div>
    <div class="col-sm-4 select-menu-item paly-control">
      <button id="scenario-save" class="btn btn-gray m-b"><i class="glyphicon glyphicon-pencil"></i> SAVE SCENARIO</button>
      <button id="run" class="btn btn-green m-b"><i class="glyphicon glyphicon-play"></i> RUN SCENARIO</button>
      <button id="pauseAndPlay" class="btn btn-white m-b" data-start="pasue"><i class="glyphicon glyphicon-pause"></i> PAUSE</button>
      <button id="stop" class="btn btn-red m-b"><i class="glyphicon glyphicon-stop"></i> STOP</button>
    </div>
  </div>

  <div class="row">
    <div id="scenario" class="col-md-6">
      <div class="ibox-content">
        <label class="m-b-sm white m-t-sm">SCENARIO CONSOLE</label>
        <div class="tabs-container">
          <ul class="nav nav-tabs">
            <li class="active"><a data-toggle="tab" href="#visual">VISUAL</a></li>
            <li><a data-toggle="tab" href="#code">CODE</a></li>
          </ul>
          <div class="tab-content">
            <div id="visual" class="tab-pane active">
              <div class="panel-body">
                <div class="visual-box" id="visualist">
                  <div class="visual-item">CITRIX LOGIN</div>
                  <div class="visual-item">GO TO INVOICE</div>
                  <div class="visual-item runing">INVOICE</div>
                  <div class="visual-item">GO TO PO</div>
                  <div class="visual-item">PO: ADDITIONAL COSTS</div>
                  <div class="visual-item">END</div>
                </div>
              </div>
            </div>
            <div id="code" class="tab-pane">
              <div class="panel-body">
                <textarea cols="50" rows="10" id="codeArea"></textarea>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div id="player">player</div>
      <div id="mouse">mouse</div>
      <!--<button onclick="scenarioRuning(['play',{file:'start.json'}])">start.json</button>
      <button onclick="scenarioRuning(['play',{file:'invoice.json'}])">invoice.json</button>
      <button onclick="scenarioRuning(['play',{file:'po.json'}])">po.json</button>
      <button onclick="scenarioRuning(['play',{file:'02 scalalogon.json'}])">02 scalalogon.json</button>
      <button onclick="scenarioRuning(['ended',{file:'02 scalalogon.json'}])">ended</button>-->
    </div>
    <div id="recipes" class="col-md-6">
      <div class="ibox-content">
        <label class="m-b-sm white m-t-sm">RECIPES</label>
        <div class="tabs-container">
          <div class="tabs-left">
            <ul class="nav nav-tabs" id="navlist">
            <% recipes.forEach(function(item,index){ %>
                <li class="<%= index==0 ? 'active' : ''%>">
                <a href="javascript:;" data-index="0" data-file="<%= item%>"><%= item.replace(/(.json$)/,'') %></a></li>
            <% }) %>
              <a class="addnew" data-toggle="modal" data-target="#AddNewRecipe"><i class="fa fa-plus"></i> add new recipe</a>
            </ul>
            <div class="tab-content">

            <div class="panel-body">
                <div class=" hide" id="commands">
                  <strong v-show="record">{{record.file}} <i class="fa fa-play-circle run-recipe" onclick="recipePlay(commandVM._data.record.file)"></i></strong>
                  <table class="table">
                    <thead></thead>
                    <tbody>
                        <tr v-for="(item,index) in record.records">
                            <td class="td1">
                                <v-select v-model="item.func" :options="recipeFunc" ></v-select>
                            </td>
                            <td class="td2">
                                <span class="hide">{{item.params}}</span>
                                <component v-if="!item.destroyed" :is="recipeType(item.func)" :options="{params:item.params.split(/\s*,\s*/), change: changeRecipeParams, index: index}"></component>
                            </td>
                            <td class="td3"><i class="fa fa-play-circle run-recipe" @click="playRow(index)"></i></td>
                        </tr>
                    </tbody>
                  </table>
                  <a class="addnew" @click="addNewRow"><i class="fa fa-plus"></i> Add action</a>
                </div>
                </div>
              </div>

            <% [].forEach(function(item,index){ %>
              <% if(index == 0) { %>
                <div id="r_<%= item.replace(/(\s+)|(.json$)/g,'') %>" class="tab-pane active">
              <% } else { %>
                <div id="r_<%= item.replace(/(\s+)|(.json$)/g,'') %>" class="tab-pane">
              <% } %>
                <div class="panel-body">
                  <strong><%= item.substring(0,1).toUpperCase()+item.substring(1).replace(/.json$/,'')%> <i class="fa fa-play-circle run-recipe" data-file="<%=item%>"></i></strong>
                  <table class="table">
                    <thead></thead>
                    <tbody></tbody>
                  </table>
                  <a class="addnew addAction" data-toggle="modal" data-target="#AddNewAction"><i class="fa fa-plus"></i> Add action</a>
                </div>
              </div>
            <% }) %>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!--<div class="msgBox alert" role="alert"></div>-->
  <!-- Modal -->
<div class="modal fade" id="AddNewRecipe" tabindex="-1">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">NEW RECIPE</h4>
      </div>
      <div class="modal-body">
        <form>
         <div class="form-group">
          <label for="recipeName">Recipe Name</label>
          <input type="text" class="form-control" id="recipeName" placeholder="Recipe">
         </div>
        </form>
      </div>
      <div class="modal-footer">
        <button class="btn btn-default" data-dismiss="modal">Close</button>
        <button id="btnAddRecipe" data-dismiss="modal" class="btn btn-primary">Save</button>
      </div>
    </div>
  </div>
</div>
    <script src="bower_components/vue/dist/vue.min.js"></script>
    <script src="bower_components/vue-select/index.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script src="javascripts/home.js"></script>
    <script src="javascripts/databinding.js"></script>
</body>
</html>
